package dao

import "gorm.io/gorm"

type SignTx struct {
	gorm.Model
	Network string `gorm:"column:network" json:"network"`
	Coin    string `gorm:"column:coin" json:"coin"`
	From    string `gorm:"column:from" json:"from"`
	To      string `gorm:"column:to" json:"to"`
	Amount  string `gorm:"column:amount" json:"amount"`
}

func (m *SignTx) TableName() string {
	return "key_manager_sign_tx"
}

func (dao *Dao) CreateSignTx(data *SignTx) error {
	return dao.db.Create(&data).Error
}
